CVE-2011-1094

MEDIUM

Description

kio/kio/tcpslavebase.cpp in KDE KSSL in kdelibs before 4.6.1 does not properly verify that the server hostname matches the domain name of the subject of an X.509 certificate, which allows man-in-the-middle attackers to spoof arbitrary SSL servers via a certificate issued by a legitimate Certification Authority for an IP address, a different vulnerability than CVE-2009-2702.

References

http://openwall.com/lists/oss-security/2011/03/08/13

http://openwall.com/lists/oss-security/2011/03/08/20

http://secunia.com/advisories/44108

http://www.mandriva.com/security/advisories?name=MDVSA-2011:071

http://www.securityfocus.com/bid/46789

http://www.ubuntu.com/usn/USN-1110-1

http://www.vupen.com/english/advisories/2011/0913

http://www.vupen.com/english/advisories/2011/0990

https://exchange.xforce.ibmcloud.com/vulnerabilities/65986

https://projects.kde.org/projects/kde/kdelibs/repository/revisions/76f935197599a335a5fe09b78751ddb455248cf7

Details

Source: MITRE

Published: 2011-03-16

Updated: 2017-08-17

Type: CWE-20

Risk Information

CVSS v2.0

Base Score: 4.3

Vector: AV:N/AC:M/Au:N/C:N/I:P/A:N

Impact Score: 2.9

Exploitability Score: 8.6

Severity: MEDIUM